Bug 164478 - Upgrade databases/pgtcl to 2.0.0 (patch included)
Summary: Upgrade databases/pgtcl to 2.0.0 (patch included)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-25 13:30 UTC by Pierre DAVID
Modified: 2012-02-24 21:39 UTC (History)
0 users

See Also:


Attachments
file.diff (2.59 KB, patch)
2012-01-25 13:30 UTC, Pierre DAVID
no flags Details | Diff
pgtcl-patch.txt (3.00 KB, text/plain; charset=us-ascii)
2012-01-25 21:20 UTC, Pierre DAVID
no flags Details
pgtcl-patch.diff (3.54 KB, patch)
2012-01-26 21:55 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre DAVID 2012-01-25 13:30:10 UTC
Upgrade database/pgtcl from 1.9.0 to 2.0.0
and allow Tcl 8.6 use.
Since pgtcl 2.0.0 uses the Tcl dict command, minimum
Tcl version is this 8.5.

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2012-01-25 16:22:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it
Comment 2 Jason Helfman freebsd_committer 2012-01-25 18:40:17 UTC
State Changed
From-To: open->feedback

Can you please update this patch to take into account releases less than 
9.x having to use ports for unzip, and having unzip already installed in 
/usr/bin otherwise? 

Additionally, if unzip is only a build dependency, maybe it should be 
unzipped into the work directory in a do-build target, and then 
installed with an INSTALL macro, as someone may have unzip installed 
during the building of the code, but not during the installation (if on 
a release less than 9.x) 

Alternatively, you can have the port use tar for zip operations for
all releases.
Comment 3 Pierre DAVID 2012-01-25 21:20:08 UTC
Here is a new patch using tar.
Comment 4 Jason Helfman freebsd_committer 2012-01-26 05:52:09 UTC
State Changed
From-To: feedback->open

moving ahead with new patch
Comment 5 Jason Helfman freebsd_committer 2012-01-26 19:29:17 UTC
Responsible Changed
From-To: jgh->mi

fix synopis and assign
Comment 6 Jason Helfman freebsd_committer 2012-01-26 21:55:11 UTC
Here is a revised patch. My apologies for grabbing this, as the
auto-assignment missed with the mis-spelled category.

-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 7 dfilter service freebsd_committer 2012-02-24 21:21:50 UTC
mi          2012-02-24 21:21:39 UTC

  FreeBSD ports repository

  Modified files:
    databases/pgtcl      Makefile distinfo pkg-plist 
  Log:
  Update from 1.9.0 to 2.0.0. Based on
  
  PR:     164478
  Submitted by:   Pierre DAVID, jgh@
  
  Author's readme continues to claim compatibility with Tcl older than 8.5.
  
  Revision  Changes    Path
  1.9       +10 -7     ports/databases/pgtcl/Makefile
  1.5       +4 -4      ports/databases/pgtcl/distinfo
  1.4       +3 -1      ports/databases/pgtcl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Mikhail Teterin freebsd_committer 2012-02-24 21:38:25 UTC
State Changed
From-To: open->closed

Port updated. Thank you very much!